summaryrefslogtreecommitdiff
path: root/system/mybashburn/mybashburn.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'system/mybashburn/mybashburn.SlackBuild')
-rw-r--r--system/mybashburn/mybashburn.SlackBuild42
1 files changed, 22 insertions, 20 deletions
diff --git a/system/mybashburn/mybashburn.SlackBuild b/system/mybashburn/mybashburn.SlackBuild
index 63792d27f3..8dafa94920 100644
--- a/system/mybashburn/mybashburn.SlackBuild
+++ b/system/mybashburn/mybashburn.SlackBuild
@@ -1,26 +1,29 @@
#!/bin/sh
# Slackware Build Script for mybashburn
-# (C) 2007 Michael Wagner <lapinours@web.de>
-#
-# This program is free software; you can redistribute it and/or modify it
-# under the terms of the GNU General Public License as published by the
-# Free Software Foundation; either version 2 of the License, or (at your
-# option) any later version.
+# (C) 2007 Michael Wagner <lapinours@web.de>
+# All rights reserved.
#
-# This program is distributed in the hope that it will be useful, but
-# WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
-# Public License for more details.
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
#
-# You should have received a copy of the GNU General Public License along
-# with this program; if not, write to the Free Software Foundation, Inc.,
-# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
set -e
PRGNAM=mybashburn
-VERSION=1.0.1
+VERSION=1.0.2
ARCH=${ARCH:-noarch}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -35,8 +38,7 @@ cd $TMP || exit 1
rm -rf $PRGNAM-$VERSION
tar -xjvf $CWD/$PRGNAM-$VERSION.tar.bz2 || exit 1
cd $PRGNAM-$VERSION || exit 1
-
-chown -R root:root .
+chown -R root:root . || true
chmod -R u+w,go+r-w,a-s .
make install DESTDIR=$PKG || exit 1
@@ -52,9 +54,9 @@ make install DESTDIR=$PKG || exit 1
done ) || exit 1
# Re-arrange the symlinks created during make install
-for i in `find $PKG -type l`; do
- if [ `basename $i` != mybashburn ]; then
- ln -sf ../../doc/$PRGNAM-$VERSION/`basename $i` $i
+for i in $(find $PKG -type l); do
+ if [ $(basename $i) != mybashburn ]; then
+ ln -sf ../../doc/$PRGNAM-$VERSION/$(basename $i) $i
else
ln -sf ../share/$PRGNAM/MyBashBurn.sh $i
fi
@@ -62,7 +64,7 @@ done
( cd $PKG/usr/man
find . -name "*.?" -type f 2> /dev/null | xargs gzip -9 2> /dev/null
- for i in `find . -type l` ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
)
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild